Bug 1253252 - CVE-2015-5161 php-ZendFramework2: php-ZendFramework: XML external entity injection (XXE) on PHP FPM [fedora-all]
CVE-2015-5161 php-ZendFramework2: php-ZendFramework: XML external entity inje...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: php-ZendFramework2 (Show other bugs)
22
All Linux
high Severity high
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-5161
  Show dependency treegraph
 
Reported: 2015-08-13 06:28 EDT by Adam Mariš
Modified: 2015-08-27 19:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.9.3-5.fc21
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 13:36:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-08-13 06:28:27 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2015-08-13 06:28:32 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1253250,1253252

# Description of your update
notes=Security fix for CVE-2015-5161

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1253250,1253252
Comment 2 Remi Collet 2015-08-13 06:54:47 EDT
Notice: Fedora 23 already have 2.4.7.
Comment 3 Fedora Update System 2015-08-13 13:05:38 EDT
php-ZendFramework2-2.4.7-1.fc23, php-guzzle-Guzzle-3.9.3-5.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/FEDORA-2015-13314/php-ZendFramework2-2.4.7-1.fc23,php-guzzle-Guzzle-3.9.3-5.fc23
Comment 4 Fedora Update System 2015-08-13 15:11:11 EDT
php-ZendFramework2-2.4.7-1.fc22,php-guzzle-Guzzle-3.9.3-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-ZendFramework2-2.4.7-1.fc22,php-guzzle-Guzzle-3.9.3-5.fc22
Comment 5 Fedora Update System 2015-08-13 15:12:36 EDT
php-ZendFramework2-2.4.7-1.fc21,php-guzzle-Guzzle-3.9.3-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-ZendFramework2-2.4.7-1.fc21,php-guzzle-Guzzle-3.9.3-5.fc21
Comment 6 Fedora Update System 2015-08-14 22:17:09 EDT
Package php-ZendFramework2-2.4.7-1.fc21, php-guzzle-Guzzle-3.9.3-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-ZendFramework2-2.4.7-1.fc21 php-guzzle-Guzzle-3.9.3-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13488/php-ZendFramework2-2.4.7-1.fc21,php-guzzle-Guzzle-3.9.3-5.fc21
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2015-08-22 13:36:10 EDT
php-ZendFramework2-2.4.7-1.fc23, php-guzzle-Guzzle-3.9.3-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-08-27 14:27:08 EDT
php-ZendFramework2-2.4.7-1.fc22, php-guzzle-Guzzle-3.9.3-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-08-27 19:49:13 EDT
php-ZendFramework2-2.4.7-1.fc21, php-guzzle-Guzzle-3.9.3-5.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.